<?php

class ml_page {

 
 var $id = 0;

 
 var $type = "page";

 
 
 var $import_id = 0;

 
 var $page_id = 0;

 
 var $url = "";

 
 var $parts = array();

 function ml_page($page_id = 0, $import_id = 0) {
 $this->init($page_id, $import_id);
 }

 function setUrl($url) {
 global $CN_IMPORT_PAGEEXTENSION;

 $this->url = $url;
 if (in_array(getfiletype($url), $CN_IMPORT_PAGEEXTENSION)) {
 
 $this->type = "page";
 } else {
 
 $this->type = "file";
 }
 
 }

 function init($page_id = 0, $import_id = 0) {
 $this->_reset();
 $this->page_id = $page_id;
 $this->import_id = $import_id;
 }

 function _reset() {
 $this->id = 0;
 $this->import_id = 0;
 $this->page_id = 0;
 $this->url = "";

 unset($this->parts);
 $this->parts = array();
 }

 function _getCurrentImportId() {
 
 $sql = "SELECT MAX(import_id) AS max FROM import_page";
 $rs = query($sql);

 return $rs["arr"][0]["max"];
 }

 function _calcImportId() {

 $import_id = ml_page::_getCurrentImportId() + 1;

 
 return $import_id;
 }

 function _isValid() {
 if ($this->url && $this->import_id) {
 if (!$this->page_id) {
 $this->page_id = 0;
 }

 return true;
 } else {
 return false;
 }
 }

 function addPart($tag_id, $part_id, $type_id) {

 if ($tag_id && $part_id && $type_id) {
 $arr = array();

 $arr["tag_id"] = $tag_id;
 $arr["part_id"] = $part_id;
 $arr["type_id"] = $type_id;

 $this->parts[] = $arr;
 

 return true;
 } else {
 halt(7,"addpart: invalid syntax ($tag_id, $part_id, $type_id)");
 return false;
 }
 }

 function _isDupe() {
 $sql = "SELECT id FROM import_page WHERE import_id = ".sqlf_tl_num($this->import_id)." AND url = '".sqlslashes($this->url)."'";
 $rs = query($sql);

 $_ret = (int) $rs["arr"][0]["id"];

 return $_ret;
 }

 function _saveParts() {
 foreach($this->parts as $part) {
 $sql = "INSERT INTO import_part (import_page_id, tag_id, part_id, type_id) 
					VALUES (".sqlf_tl_num($this->id).", ".sqlf_tl_num($part["tag_id"]).",".sqlf_tl_num($part["part_id"]).",".sqlf_tl_num($part["type_id"]).")";

 
 $rs = query($sql);
 }
 }

 function _update() {
 
 $sql = "DELETE FROM import_part WHERE import_page_id = ".sqlf_tl_num($this->id);
 query($sql);

 
 if (!$this->page_id) {
 
 $sql = "SELECT page_id FROM import_page WHERE id = ".sqlf_tl_num($this->id);
 $rs = query($sql);
 $this->page_id = $rs["arr"][0]["page_id"];
 } else {
 
 $sql = "UPDATE import_page SET page_id = ".sqlf_tl_num($this->page_id)." WHERE id = ".sqlf_tl_num($this->id);
 query($sql);
 }

 
 $this->_saveParts();
 return true;
 }

 function _insert() {
 $sql = "INSERT INTO import_page (import_id, page_id, url, type) VALUES (".sqlf_tl_num($this->import_id).", ".sqlf_tl_num($this->page_id).", '".sqlslashes($this->url)."', '".sqlf_escaped($this->type)."')";
 $rs = query($sql);
 $this->id = $rs["iid"];

 if ($this->id) {
 $this->_saveParts();
 return true;
 } else {
 return false;
 }
 }

 function save() {
 
 if ($this->_isValid()) {

 if ($this->id = $this->_isDupe()) {
 
 return $this->_update();
 } else {
 
 
 return $this->_insert();
 }
 }
 }

 
 



















































}

?>
