<script type="text/javascript">
<!--
	window.ttm = {};
	ttm.itemData = <?= $itemData ?>;
	var sid = <?= $SID ?>;
	ttm.migrationMode = '<?= $migrationMode ?>';
	ttm.migrationModeInt = <?= $migrationModeInt ?>;
	ttm.nodeId = <?= $NODE_ID ?>;
	<?php
 $node = get_nodeinfo($NODE_ID);
 ?>
	ttm.nodeRootFolderId = <?= $node['folder_id']?>;
	ttm.postProcessors = <?= $ttmPostProcessorData; ?>;

	window.i18n = { 'addMapping'                    : "<?= i18n("addMapping"); ?>",
					'defaultChooseOption'           : "<?= i18n("choose_option"); ?>",
					'startMigration'                : "<?= i18n("startmigration"); ?>",
					'noChooseOption'                : "<?= i18n("ttm_no_choose_option") ?>",
					'migrationCompleted'            : "<?= i18n("ttm_migration_completed") ?>",
					'migrationCompletedWithWarnings': "<?= i18n("ttm_migration_completed_with_warnings") ?>",
					'chooseOption'                  : "<?= i18n("choose_option") ?>",
					'statusNew'                     : "<?= i18n("status_new") ?>",
					'statusRunning'                 : "<?= i18n("status_running") ?>",
					'statusRunningText'             : "<?= i18n("status_running_text") ?>",
					'statusStarted'                 : "<?= i18n("status_started") ?>",
					'statusStarting'                : "<?= i18n("status_starting") ?>",
					'statusAborted'                 : "<?= i18n("status_aborted") ?>",
					'statusCompleted'               : "<?= i18n("status_completed") ?>",
					'statusCompletedWithWarnings'   : "<?= i18n("status_completed_with_warnings") ?>",
					'statusSkipped'                 : "<?= i18n("ttm_status_skipped") ?>",
					'statusInvalid'                 : "<?= i18n("ttm_status_invalid") ?>",
					'statusError'                   : "<?= i18n("ttm_status_error") ?>",
					'statusErrorText'               : "<?= i18n("migration_status_error_text") ?>",
					'migrationRetryText'            : "<?= i18n("migration_retry_text") ?>",
					'statusPending'                 : "<?= i18n("status_pending") ?>",
					'statusUnknown'                 : "<?= i18n("status_unknown") ?>",
					'statusExportInProgress'        : "<?= i18n("migration_status_export_creating") ?>",
					'statusExportFailed'            : "<?= i18n("migration_status_export_failed") ?>",
					'statusExportCompleted'         : "<?= i18n("migration_status_export_completed") ?>",
					'folder'                        : "<?= i18n("folder") ?>",
					'image'                         : "<?= i18n("image") ?>",
					'file'                          : "<?= i18n("file") ?>",
					'template'                      : "<?= i18n("template") ?>",
					'page'                          : "<?= i18n("page") ?>",
					'typeUnknown'                   : "<?= i18n("migration_type_unknown") ?>",
					'typeTemplateMigration'         : "<?= i18n("migration_type_templatemigration") ?>",
					'typeTagTypeMigration'          : "<?= i18n("migration_type_tagtypemigration") ?>",
					'continueText'                  : "<?= i18n("318.next") ?>",
					'fetchStatusFailed'             : "<?= i18n("fetchstatus_failed") ?>",
					'invocationFailed'              : "<?= i18n("invocation_failed") ?>",
					'genericFailure'                : "<?= i18n("generic_failure") ?>",
					'notLicensedInfo'               : "<?= i18n("not_licensed") ?>",
					'unmappedPartOption'            : "<?= i18n("unmapped_part_option") ?>",
					'unmappedTagOption'             : "<?= i18n("unmapped_tag_option") ?>",
					'ttmInvalidMapping'             : "<?= i18n("ttm_invalid_mapping") ?>",
					'unmappedPartWarning'           : "<?= i18n("unmapped_part_warning") ?>",
					'mappingIncomplete'             : "<?= i18n("ttm_mapping_incomplete"); ?>"
			};
//-->
</script>

<link href="<?= $BASEPATH ?>/css/tagtypemigration.css" rel="stylesheet">
<link href="<?= $BASEPATH ?>/css/jquery-ui-1.10.2.custom.min.css" rel="stylesheet">

<div class="noselect" id="message-spacer">
	<div id="message-container" style="display: none;">
		<span><?= i18n('initialising') ?>...</span>
		<div id="message-image"></div>
	</div>
</div>

<div class="rootContainer">

	<!-- Template Migration -->
	<div data-bind="with: tmViewModel, style: {display: showTM() === true ? 'inline' : 'none' }" id="templateMigrationView" style="display: none">
		<h1>Template Migration</h1>

		<!-- Template Migration Template Select -->
		<div data-bind="with: templateSelectContainerViewModel, style: {display: showTemplateSelect() === true ? 'inline' : 'none' }">
			<div>
				<h2><?= i18n('tm_template_select_heading') ?></h2>
				<select class="solid left" data-bind="options: availableTargetTemplates,
													optionsCaption: chooseOptionCaption,
													value: targetTemplate,
													event:{ change: targetTemplateChanged },
													optionsText: function(item) {
														return item.simpleBeautifulName; 
													}"></select>
				<div class="clear"></div>
				<div id="tmOptions">
					<h2><?= i18n('options') ?></h2>
						<div>
							<input class="left" type="checkbox" data-bind="checked: linkFoldersOption">
							<div><?= i18n('tm_link_folders_option_text')?></div>
							<div class="clear"></div>
						</div>
				</div>
				<br/>
				<div class="left">
					<input data-bind="click: switchToMappingView, attr: { src: switchToMappingViewButtonSource }" type="image" class="right"
						title="<?= i18n("continue"); ?>" alt="<?= i18n("continue"); ?>"
						border="0">
				</div>
				<div class="clear"></div>
				<br/>
				<div class="left">
					<input type="image" src="?do=15&&text=<?= i18n('show_log') ?>" data-bind="click: switchToLogView" title="<?= i18n("showLogs"); ?>" alt="<?= i18n("showLogs"); ?>" border="0">
				</div>
				
			</div>
		</div>

		<!-- Template Migration Mapping -->
		<div data-bind="with: templateMappingContainerViewModel, style: {display: showMappingContainer() === true ? 'inline' : 'none' }">
			<div>
				<!-- Non Editable Template Tag Mappings -->
				<h2 class="hrheading"><?= i18n('tm_noneditable_template_tags_heading') ?></h2>
				<div data-bind="foreach: nonEditableTagMappings()">
					<div>
						<div class="tagTypeMapping">
							<div class="left">
								<img src="/.Node/?do=11&module=content&img=doc.gif" border="0" /> 
								<strong data-bind="text: templateTag().name" class="required" title="Text"></strong>
							</div>
							<select class="mappedTagTypes solid right" data-bind="options: availableTargetTags,
																				optionsCaption: chooseOptionCaption,
																				value: targetTemplateTag,
																				event: { change: targetTemplateTagChanged },
																				optionsText: function(item) {
																					return item.name;
																				}"></select>
						</div>
					</div>
					<div class="clear"></div>
				</div>
				<div data-bind="if: nonEditableTagMappings().length == 0"><?= i18n("no_entries_found") ?></div>
				<div class="clear"></div>
				<h2 class="hrheading"><?= i18n('tm_editable_template_tags_heading') ?></h2>
				<!-- Editable Template Tag Mappings -->
				<div data-bind="foreach: editableTagMappings()">
					<div class="mapping">
						<div class="tagTypeMapping">
							<div class="left">
								<img src="/.Node/?do=11&module=content&img=doc.gif" border="0" /> 
								<strong data-bind="text: templateTag().name" class="required" title="Text"></strong>
							</div>
							<select class="mappedTagTypes solid right" data-bind="options: availableTargetTags,
																				optionsCaption: chooseOptionCaption,
																				value: targetTemplateTag,
																				event: { change: targetTemplateTagChanged },
																				optionsText: function(item) {
																					return item.name;
																				}"></select>
						</div>
						<div class="clear"></div>
						<div class="partMappings" data-bind="foreach: partMappings">
							<div class="partMapping">
								<div class="clear"></div>
								<div class="left">
									<div data-bind="text: fromPart.simpleBeautifulName" title="Text"></div>
								</div>
								<select class="mappedTagTypeParts solid right" data-bind="options: availablePartsForMapping,
												optionsCaption: chooseOption,
												value: toPart,
												event:{ change: toPartChanged },
												optionsText: function(item) {
													return item.simpleBeautifulName; 
												}"></select>
								<div class="clear"></div>
							</div>
						</div>
					</div>
				</div>
				<div data-bind="if: editableTagMappings().length == 0"><?= i18n("no_entries_found") ?></div>
			</div>


			<!-- Action View -->
			<div data-bind="with: templateActionContainerViewModel" id="ttmActionModelContainer">
				<div class="clear"></div>
				<div class="hr"></div>
				<div id="ttmOptions">
					<h2><?= i18n('options') ?></h2>
					<div id="ttmPostProcessors">
						<h3 style="font-weight: normal">Post Processors:</h3>
						<div data-bind="foreach: postProcessors">
							<input class="left" type="checkbox" data-bind="checked: processorEnabled">
							<div data-bind="text: beautifulName"></div>
							<div class="clear"></div>
						</div>
					</div>
				</div>
		
				<div id="migrationStatusContainer" data-bind="if: showStatus">
					<div class="hr"></div>
					<h2><?= i18n('progress') ?></h2>
					<div class="progressbar"></div>
					<div class="clear"></div>
					<div class="left" data-bind="if: showMigrationStatusInfoText">
						<pre class="left statusField" data-bind="text: migrationStatusInfoText"></pre>
					</div>
				</div>
				<div class="clear"></div>
				<div class="hr"></div>
				<div class="left" data-bind="if: showStartMigrationButton">
					<form data-bind="submit: startMigration">
						<input id="startMigration" type="image" data-bind="click: startMigration, attr: {src: getStartMigrationButtonSource }" title="<?= i18n("startmigration"); ?>" alt="<?= i18n("startmigration"); ?>" border="0">
					</form>
				</div>
				<div class="clear"></div>
				<div class="left">
					<input id="toggleLogView" type="image" src="?do=15&&text=<?= i18n('show_log') ?>" data-bind="click: switchToLogView" title="<?= i18n("showLogs"); ?>" alt="<?= i18n("showLogs"); ?>" border="0">
				</div>
			</div>
		</div>
	</div>

	<!-- Tagtype Migration -->
	<div data-bind="with: ttmViewModel, style: {display: showTTM() === true ? 'inline' : 'none' }" id="tagTypeMigrationView" style="display: none">
	
		<!-- Mapping -->
		<div data-bind="with: mappingViewModel, style: {display: showMappingView() === true ? 'inline' : 'none' }" id="ttmMappingModelContainer">
			<h1><?= i18n("tagtypemigration"); ?></h1>
			<div id="tagTypeMappings" data-bind="foreach: mappings">
				<div class="mapping">
					<div class="tagTypeMapping">
						<div class="left">
							<img src="/.Node/?do=11&module=content&img=doc.gif" border="0" /> 
							<strong class="required" title="Text" data-bind="text: fromTagType.name"></strong>
						</div>
						<div class="right">
							<select class="mappedTagTypes solid left"
								data-bind="options: toTagTypeOptions,
									optionsText: function(item) { 
										return item.name; 
									},
									value: selectedToTagType,
									optionsCaption: '<?= i18n("choose_option"); ?>',
									event:{ change: toTagTypeChanged }"></select>
							<div class="iconContainer right">
								<a href="#" class="remove" data-bind="click: $parent.removeMapping">
									<img class="icon" border="0" src="/.Node/?do=11&amp;module=system&amp;img=delete.gif" title="<?= i18n("removemapping"); ?>">
								</a>
							</div>
						</div>
					</div>
					<div class="partMappings" data-bind="foreach: partMappings">
						<div class="partMapping">
							<div class="clear"></div>
							<div class="left">
								<div title="Text" data-bind="text: fromPart.simpleBeautifulName"></div>
							</div>
							<div class="right">
								<select class="mappedTagTypeParts solid left"
									data-bind="options: availablePartsForMapping,
												optionsCaption: chooseOption,
												value: toPart,
												event:{ change: toPartChanged },
												optionsText: function(item) {
													return item.simpleBeautifulName;
												}"></select>
								<div class="iconContainer right">&nbsp;</div>
							</div>
							<div class="clear"></div>
						</div>
					</div>
				</div>
			</div>

			<h1><?= i18n("add_tagtypes")?></h1>
			<div id="tagTypeMappingActionMenuContainer">
	
				<form data-bind="submit: addMapping">
					<select class="tagTypeDropDown" id="sourceTagTypeSelector"
						data-bind="options: availableTagTypesForMapping,
								   optionsText: function(item) { 
										return item.name;
								   },
								   event:{ change: selectedTagTypeForMappingChanged },
								   value: selectedTagTypeForMapping, 
								   optionsCaption: '<?= i18n("choose_option"); ?>'"></select> 
					<input data-bind="attr: { src: addMappingSource }" id="addMapping" type="image" class="right"
						title="<?= i18n("addmapping"); ?>" alt="<?= i18n("addmapping"); ?>"
						border="0">
				</form>
			</div>
		</div>


		<!-- Action View -->
		<div data-bind="with: actionViewModel, style: {display: showActionView() === true ? 'inline' : 'none' }" id="ttmActionModelContainer">
			<div class="clear"></div>
			<div id="ttmOptions">
				<h2><?= i18n('options') ?></h2>
				<div id="ttmHandlePagesByTemplate" data-bind="if: showHandleByTemplateOption">
					<input class="left" type="checkbox" data-bind="checked: handlePagesByTemplate">
					<div><?= i18n('ttm_handlepagesbytemplatetext')?></div>
					<div class="clear"></div>
				</div>
				<div id="ttmPreventTriggerEvent" data-bind="if: showPreventTriggerEventOption">
					<input class="left" type="checkbox" data-bind="checked: preventTriggerEvent">
					<div><?= i18n('ttm_prevent_trigger_event_text')?></div>
					<div class="clear"></div>
				</div>
				<div id="ttmPostProcessors">
					<h3 style="font-weight: normal">Post Processors:</h3>
					<div data-bind="foreach: postProcessors">
						<input class="left" type="checkbox" data-bind="checked: processorEnabled">
						<div data-bind="text: beautifulName"></div>
						<div class="clear"></div>
					</div>
				</div>
			</div>
	
			<div id="migrationStatusContainer" data-bind="if: showStatus">
				<div class="hr"></div>
				<h2><?= i18n('progress') ?></h2>
				<div class="progressbar"></div>
				<div class="clear"></div>
				<div class="left" data-bind="if: showMigrationStatusInfoText">
					<pre class="left statusField" data-bind="text: migrationStatusInfoText"></pre>
				</div>
			</div>
			<div class="clear"></div>
			<div class="hr"></div>
			<div class="left" data-bind="if: showStartMigrationButton">
				<form data-bind="submit: startMigration">
					<input id="startMigration" type="image" data-bind="click: startMigration, attr: {src: getStartMigrationButtonSource }" title="<?= i18n("startmigration"); ?>" alt="<?= i18n("startmigration"); ?>" border="0">
				</form>
			</div>
			<div class="clear"></div>
			<div class="left">
				<input id="toggleLogView" type="image" src="?do=15&&text=<?= i18n('show_log') ?>" data-bind="click: switchToLogView" title="<?= i18n("showLogs"); ?>" alt="<?= i18n("showLogs"); ?>" border="0">
			</div>
		</div>
	</div>
	
	<!-- Log View -->
	<div data-bind="with: logViewModel, style: { display: showLogView() === true ? 'inline' : 'none' }" id="logView" style="display: none">
		<h1>Logs</h1>
		<div id="migrationLogsContainer" data-bind="if: showJobs">
			<h2><?= i18n('migration_jobs') ?></h2>
			<table border="0" width="100%" cellspacing="0" cellpadding="0" class="itemlist3 rowHover">
				<thead>
					<tr class="gentics_itemlist_main">
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text">Job ID</span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text"><?= i18n('date') ?></span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text"><?= i18n('handled_objects') ?></span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text"><?= i18n('type') ?></span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text">Status</span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text"><?= i18n('actions') ?></span></th>
					</tr>
				</thead>
				<tbody class="rowStyle">
				<!-- ko foreach: jobs-->
					<tr class="gentics_itemlist_oddrow">
						<td data-bind="text: id"></td>
						<td data-bind="text: humanReadableDate"></td>
						<td>
							<div data-bind="if: handledObjects() > 0"><a data-bind="text: handledObjects, click: showDetailLog" href="#"></a></div>
							<div data-bind="if: handledObjects() == 0">0</div>
						</td>
						<td data-bind="text: typeText"></td>
						<td data-bind="text: statusText"></td>
						<td><a href="#" data-bind="click: showLogFile"><?= i18n('show_log')?></a></td>
					</tr>
				<!-- /ko -->
				</tbody>
			</table>
		</div>

		<div id="migrationLogDetailContainer" data-bind="style: { display: showJobDetails() === true ? 'inline' : 'none' }">
			<div class="hr"></div>
			<h2 data-bind="text: jobDetailContainerHeading"></h2>
			<table border="0" width="100%" cellspacing="0" cellpadding="0" class="itemlist3 rowHover">
				<thead>
					<tr class="gentics_itemlist_main">
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text"><?= i18n('object_type')?></span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text"><?= i18n('object_id')?></span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text">Status</span></th>
						<th class="item gtx_itemlist_header"><span class="gtx_itemlist_header_text"><?= i18n('actions') ?></span></th>
					</tr>
				</thead>
				<tbody class="rowStyle">
				<!-- ko foreach: selectedJob -->
				<!-- ko foreach: items-->
					<tr class="gentics_itemlist_oddrow">
						<td data-bind="text: objectTypeText"></td>
						<td data-bind="text: objectId"></td>
						<td data-bind="text: statusText"></td>
						<td>
							<div style="text-align: center;" data-bind="if: !showReinvokeLink()">-</div>
							<div data-bind="if: showReinvokeLink()"><a href="#" data-bind="click: reinvoke"><?= i18n('ttm_reinvoke')?></a></div>
						</td>
					</tr>
				<!-- /ko -->
				<!-- /ko -->
				</tbody>
			</table>
		</div>

		<div id="migrationLogFileContainer" data-bind="if: showLogFile">
			<div class="hr"></div>
			<h2><?= i18n('log_file')?></h2>
			<pre class="logFile" data-bind="text: selectedJobLogFileOutput"></pre>
		</div>
		<div class="hr"></div>
		<input id="toggleLogView" type="image" src="?do=15&&text=<?= i18n('back') ?>" data-bind="click: switchToMappingView" title="<?= i18n("back"); ?>" alt="<?= i18n("back"); ?>" border="0">
	</div>
</div>

<script type="text/javascript" src="<?= $LIBPATH ?>"></script>
