<? node_include( "img" ); ?>
var ContextSubmenus = new Array();
var VisibleContextSubmenu = new Array();
var AllowContextmenuHiding = true;
var maxDepth = 2;
var gtxContextMenuDisplayed = 0;

function toggleContextSubmenu( subIdx, event, depth )
{
	AllowContextmenuHiding = false;
	var layerName = 'nodecontextsubmenu'+(depth>0?depth:'');
	var l = get_layer(layerName);
	hide_layer( l );
	if ( VisibleContextSubmenu[depth] != subIdx )
	{
		displayContextMenu( layerName, ContextSubmenus[depth][subIdx], event, depth + 1 );
		VisibleContextSubmenu[depth] = subIdx;
		if( depth < maxDepth ) {
		  for( var i = depth+1 ; i < maxDepth ; i++ ) {
		    hide_layer( get_layer('nodecontextsubmenu'+i) );
		  }
		}
	}
	else
		VisibleContextSubmenu[depth] = -1;
}

function hide_context_menus()
{
	if (gtxContextMenuDisplayed > 0) {
		// I suppose this is meant to avoid some not-human-triggered
		// close events that occur immediately after the menu opens. 250
		// should be large enough to catch such events, but small enough
		// not to cause problems for humans.
		if (new Date().getTime() - gtxContextMenuDisplayed < 250) {
			return;
		}
	}
	hide_layer( get_layer('nodecontextmenu') );
	hide_layer( get_layer('nodecontextsubmenu') );
	for( var i = 1 ; i < maxDepth ; i++ ) {
	     hide_layer( get_layer('nodecontextsubmenu'+i) );
	}
	VisibleContextSubmenu = -1;
}

//for use in opera & co. to display the contextmenu by mouse-buttons
function testDisplayContextMenu( layername, menuItems, event )
{
	if ( event.which == 2 ){
		displayContextMenu( layername, menuItems, event );
		return false;
	}
	return true;
}

//menuItems array of 0=>name, 1=>link, 2=>onclick, 3=>target, 4=>bold 5=>icon, 6=>confirm, 
//7=>submenu, 8=>italic

//if submenu.length == 0 -- > no submenu
function displayContextMenu( layername, menuItems, event, depth )
{
	gtxContextMenuDisplayed = new Date().getTime();
	if (depth == undefined) depth = 0;
	var x, y;
	if (document.all) 
	{
		x = window.event.clientX;
		y = window.event.clientY;
		var spos = get_scrollpos();
		x += spos[0];
		y += spos[1];
		if (document.documentElement && document.documentElement.clientHeight) {
			width = document.documentElement.clientWidth;
			height = document.documentElement.clientHeight;
		} else {
			width = document.body.clientWidth;
			height = document.body.clientHeight;
		}
	}
	else 
	{
		x = event.pageX;
		y = event.pageY;
		width = window.innerWidth;
		height = window.innerHeight;
	}

	var menu = '';
<!-- Menu -->
	menu += '<table border=0 cellspacing=0 cellpadding=1 class=cnContextMenu>';
	var i, onclick, target;
	var subIdx = 0;
	var submenu;
	var ricon;
	for ( i=0; i<menuItems.length; i++ )
	{
		if ( menuItems[i][11] != null ) {
		   if(!menuItems[i][11]()) continue;
		}
		ricon = '';
		//if name is '', create a horizontal spacer
		if ( menuItems[i][0] != '' )
		{
		    //-------------------------- create onclick-action --------------------------------------
			//item has a submenu?
			submenu = menuItems[i][7];
			if ( submenu.length > 0 )
			{
				onclick = 'toggleContextSubmenu( ' + subIdx + ', event, ' + depth + ' );';
				if( ContextSubmenus[depth] == undefined )
				  ContextSubmenus[depth] = new Array( );
				ContextSubmenus[depth][subIdx] = submenu;
				ricon = '<img src="<?= $_GET["proxyprefix"] . $STAG_PREFIX?>?do=11&module=system&img=contextsubmenu.gif" alt="" border=0>';
				subIdx++;
			}
			//item is a link?
			else if ( menuItems[i][1] != '' )
			{
				//create onclick= "hide_layer(...); window.open( 'link', 'target' );"
				if ( menuItems[i][3] != '' )
					target = menuItems[i][3];
				else
					target = '_new';
				if ( menuItems[i][2] != '' )
					onclick = menuItems[i][2];
				else
					onclick = '';
				onclick += 'progress( top.menu ); hide_context_menus(); window.open(\''+menuItems[i][1]+'\', \''+target+'\');';
			}
			//item is a onclick-event!
			else
			{
				onclick = 'hide_context_menus(); ' + menuItems[i][2];
			}
				
			//if confirm, the call the confirm-action instead of directly executing the action
			if ( menuItems[i][6] )
				onclick = 'return confirmContextAction( \''+menuItems[i][0]+'\', \''+escape_quotes(onclick)+'\');';
		    //-------------------------------###############-------------------------------------
				
			menu += '<tr onclick="'+onclick+'" class="gentics_menu_main" ';

			// Only highlight if the option 'noHighlighting' is not enabled
			if (!menuItems[i][12]) {
				menu += 'onmouseover="cssSetChildClasses(this, \'gentics_menu_highlight\'); '+menuItems[i][9]+'" ';
				menu += 'onmouseout="cssSetChildClasses(this, \'gentics_menu_main\'); '+menuItems[i][10]+'" ';
			}

			menu += '>';
			//add icon
			if ( menuItems[i][5] != '' )
				menu += '<td><img border=0 src="'+menuItems[i][5]+'"></td>';
			else
				menu += '<td>&nbsp;</td>';
			//add name
			var pre = '', app = '';
			if ( menuItems[i][4] )
			{
				pre += '<b>';
				app += '</b>';
			}
			if ( menuItems[i][8] )
			{
				pre += '<i>';
				app += '</i>';
			}
			menu += '<td style="white-space:nowrap; text-align: left;">' + pre + menuItems[i][0] + app + '</td><td>'+ ricon +'</td></tr>';
		}
		else
		{
			menu += '<tr class="gentics_menu_lightSpacer"><td colspan=3><table border=0 cellpadding="0" cellspacing="0" width="198px">';
			menu += '<tr class="gentics_menu_lightSpacer" height=1><td colspan=3 ><?=img("",0,0,0,1,1)?></td></tr>';
			menu += '</td></tr>';
			menu += '</table>';
		}
	}
	menu += '</table>';
	
	var l = get_layer(layername);
	write_layer( l, menu );

	var menuwidth = l.offsetWidth;
	var menuheight = l.offsetHeight;

	var docwidth = width-20; // padding of 20px because scrollbars are not counted..
	var docheight = height-20;

	var spos = get_scrollpos();
	if(x + menuwidth > spos[0] + docwidth) {
	  x = docwidth - menuwidth;
	}
	if(x < spos[0]) x = spos[0];
	if(y + menuheight > spos[1] + docheight) {
	  y = spos[1] + docheight - menuheight;
	}
	if(y < spos[1]) y = spos[1];

	if(x < 1) x = 1;
	if(y < 1) y = 1;

	move_layer( l, x, y );
	show_layer( l );
//	l.setCapture();
<!-- End Menu -->


}
