<?







class LDAPDatasource extends ItemListActionDataSource {
 
 var $d_ldaph = null; 
 var $d_qparam; 

 
 var $d_dispColumns = array(); 
 var $d_selColumns = array(); 

 
 var $d_sortableFields;
 var $d_trimFields = array();
 var $d_sortedCol;
 var $d_sortedWay;
 var $d_arraySort = false;
 var $d_key;

 
 var $d_searchableFields;

 

 
 function LDAPDatasource($key, $qparam) 
 {
 $this->d_key = $key;
 $this->d_qparam = $qparam;
 }

 function setLDAPHandler ( $handle )
 {
 $this->d_ldaph = $handle;
 }

 function setArraySort ( $aSort )
 {
 $this->d_arraySort = $aSort;
 }
 
 function getPlainResultset ( $from, $to, &$count, $search = false, $fetchall = false, $handler = false)
 {
 global $DEBUG;
 if (!$handler) $handler = $this->d_ldaph;
 if (!$handler["handle"]) mydb_reconnect($handler);

 

 
 $this->d_qparam["attr"] = $this->d_selColumns;
 

 
 if ($search) {
 $filter = "(| "; 
 foreach ($this->d_searchableFields as $sfield) {
 $filter .= "($sfield=*".utf8_encode($search)."*)";
 }
 $filter .= ")";
 
 $this->d_qparam['filter'] = "(&".$this->d_qparam["filter"]."".$filter.")";
 }

 
 $raw_res = query($this->d_qparam, $handler);
 $count = $raw_res["num"];
 if ($count < 1) return array(); 

 
 $prep_res = array();
 for ($i = 0; $i < $count; $i++) { 
 foreach($this->d_selColumns as $akey) { 
 $prep_res[$i][$akey] = utf8_decode($raw_res["arr"]["$i"]["$akey"][0]); 
 if ($akey === "dn") {
 $prep_res[$i][$akey] = utf8_decode($raw_res["arr"]["$i"]["$akey"]); 

 
 
 
 
 
 

 if ( $this->d_qparam["dn_justval"] ) {
 $dnparts = ldap_explode_dn($prep_res[$i][$akey], 1);
 $prep_res[$i][$akey] = $dnparts[0];
 }

 

 }
 }
 $prep_res[$i]["id"] = $raw_res["arr"][$i][$this->d_qparam["action_id"]][0];
 
 
 if (($this->d_qparam["action_id"] === "dn") || (!$this->d_qparam["action_id"])) $prep_res[$i]["id"] = $raw_res["arr"][$i][$this->d_qparam["action_id"]];
 }
 
 while (list($key, $value) = each($prep_res)) {
 $sort_arr[$key] = $value[$this->d_sortedCol];
 }
 switch ($this->d_sortedWay) {
 case "ASC":
 asort($sort_arr);
 break;
 default:
 arsort($sort_arr);
 }

 
 $ret_arr = array();

 while (list($key, $val) = each($sort_arr)) {
 $ret_arr[] = $prep_res[$key]; 
 }

 
 
 $final_arr = array();
 for ($i = $from; ($i <= $to) && ($ret_arr[$i]); $i++) {
 $final_arr[] = $ret_arr[$i];
 }

 
 
 return $final_arr;
 }

 function addColumn($name, $header, $isSortable = false, $isSortedBy = false, $selectOnly = false, $isLinkCol = false, $trim = false) 
 {
 if ($selectOnly) {
 $this->d_selColumns[] = $name;
 } else if ($isLinkCol) {
 $this->d_dispColumns[$name] = $header;
 }
 else {
 $this->d_selColumns[] = $name;
 $this->d_dispColumns[$name] = $header;
 }

 if ($isSortable) {
 $this->d_sortableFields[$name] = $isSortedBy ? $isSortedBy : $name;
 if (!in_array($isSortedBy, $this->d_selColumns)) $this->d_selColumns[] = $isSortedBy; 
 } 
 if ($trim > 0) {
 $this->d_trimFields[$name] = $trim;
 }
 $this->_addColumn( $name, $header );
 }

 function hasColumnHeaders()
 {
 return true;
 }

 
 
 function getColumns() {
 return array_keys($this->d_dispColumns);
 
 }

 function isSearchable()
 {
 return true;
 }

 function setSort($column, $way)
 {
 $this->d_sortedCol = $this->d_sortableFields[$column];
 $this->d_sortedWay = $way;
 }

 function setDefaultSort( $column, $way)
 {
 if ( !$this->d_sortedCol )
 {
 $this->d_sortedCol = $column;
 $this->d_sortedWay = $way;
 }
 }

 function getCurrentSort( &$column, &$way )
 {
 if (!$this->d_sortedCol) return false;

 $column = $this->d_sortedCol;
 $way = $this->d_sortedWay;
 
 return true;
 }

 function getSortWays( $column )
 {
 global $STAG_PREFIX;
 if ( $this->d_sortableFields[$column] )
 return array( array( "way"=>"ASC", "icon"=>"$STAG_PREFIX?do=11&module=system&img=sort_asc.gif" ),
 array( "way"=>"DESC", "icon"=>"$STAG_PREFIX?do=11&module=system&img=sort_desc.gif" ) );
 return null;
 }

 function addSearchAttr( $attr )
 {
 $this->d_searchableFields[] = $attr;
 }
 
 function getKey()
 {
 return $this->d_key;
 }

}

?>
