<?php

GUIFactory :: setMainGUI("main");

if ($folder_id) {
 cmd_switch_tofolder($folder_id);
}

if (!$FOLDER_ID) {
 halt(7, "folder_list: No FOLDER_ID.");
}


unset ($PAGE_ID);


if (isset ($USAGE_OBJS) && isset ($USAGE_TYPE) && $USAGE_OBJS !== false && $USAGE_TYPE !== false) {
 $is_usageinfo_search = true;
 $USAGE_PAGEUSAGE = false;
} else {
 $is_usageinfo_search = false;
}

cmd_switch_tofolder($FOLDER_ID);



mysession_var_reg("CONTENT_FILELIST_TYPE");

if (!$type) {
 $type = $CONTENT_FILELIST_TYPE;
} else {
 $CONTENT_FILELIST_TYPE = $type;
}


if (!$CONTENT_FILELIST_TYPE) {
 $CONTENT_FILELIST_TYPE = "file";
}

switch ($CONTENT_FILELIST_TYPE) {
 case "img" :
 $NODE_REMEMBER_VIEW["view"] = "images";
 $NODERELATED[$DO] = $NODERELATED_IMG;
 $NODEVIEWS[$DO] = $NODEVIEWS_IMG;
 $NODEVIEWS["${DO}_title"] = i18n('view_images');
 $NODEVIEWS["${DO}_active"] = $related_img;
 break;
 case "file" :
 $NODE_REMEMBER_VIEW["view"] = "files";
 $NODEVIEWS[$DO] = $NODEVIEWS_FILE;
 $NODEVIEWS["${DO}_title"] = i18n('view_files');
 $NODEVIEWS["${DO}_active"] = $related_files;
 break;
 case "gl" :
 $NODE_REMEMBER_VIEW["view"] = "gallery";
 $NODEVIEWS[$DO] = $NODEVIEWS_GAL;
 $NODEVIEWS["${DO}_title"] = i18n('view_gallery');
 $NODEVIEWS["${DO}_active"] = $related_gal;
 break;
}

$doimg = ($type == "img" || $type == "gl");
$dogal = ($FEATURE["gallery"] && $type == "gl");

if ($doimg) {
 $add_info = i18n("Bilder");
} else {
 $add_info = i18n("Dateien");
}

load_menu(11001, $T_FOLDER, $FOLDER_ID, $add_info);
$lst = new item_list("f$FOLDER_ID");

$itemlist = $lst;

$lst->enablePaging = true;

if ($item_cmd == "del" && is_array($item_id)) {
 $allPermissions = true;

 foreach ($item_id as $key => $nada) {
 $fileinfo = get_fileinfo($key);

 if (!perm($USER_ID, $T_FOLDER, $fileinfo['folder_id'], 14, null, $T_FILE, 13)) {
 $allPermissions = false;
 break;
 }
 }

 if (!$allPermissions) {
 $JS .= "alert('" . i18n("cn_file_delete_permission_denied") . "');";
 } else {
 
 if (file_is_inherited($item_id)) {
 
 mysession_var_reg("DEL_TYPE", false);
 mysession_var_reg("DEL_IDS", false);
 mysession_var_reg("DEL_REDO", false);
 $DEL_TYPE = $doimg ? $T_IMAGE : $T_FILE;
 $DEL_IDS = $item_id;
 $DEL_REDO = 15001;
 $REDO = 13504;
 } else if (file_has_localized_copy($item_id)) { 
 
 mysession_var_reg("DEL_TYPE", false);
 mysession_var_reg("DEL_IDS", false);
 mysession_var_reg("DEL_REDO", false);
 $DEL_TYPE = $doimg ? $T_IMAGE : $T_FILE;
 $DEL_IDS = $item_id;
 $DEL_REDO = 15001;
 $REDO = 13503;
 } else {
 $error = cmd_file_del($item_id);
 }

 if ($error) {
 $msg = str_replace("\n", "\\n", str_replace('"', '\"', $ERROR));
 $JS .= ' alert( "' . $msg . '" ); ';
 }
 }
} else if ($item_cmd == "mov" && is_array($item_id)) {
 foreach ($item_id as $key => $nada) {
 if (!perm_can_move_file($key)) {
 
 unset ($item_id[$key]);
 }
 }

 if (count($item_id) == 0) {
 $JS .= "alert('" . i18n("file_move_noperm") . "');";
 } else {
 $REDO = 15002;
 $SOURCE = $item_id;
 $TYPE = $type;
 }
 }

if ($item_cmd == "objprop" && $FEATURE["objprop"] && is_array($item_id)) {
 $REDO = 10010;
 reset($item_id);
 list ($FILE_ID, $val) = each($item_id);
 $type = ($type == "file") ? $T_FILE : $T_IMAGE;
 return;
}

if ($item_cmd == "usageinfo" && is_array($item_id)) {
 
 $REDO = 15105;
 mysession_var_reg("USAGE_TYPE");
 mysession_var_reg("USAGE_OBJS");
 mysession_var_reg("USAGE_PAGEUSAGE");
 $USAGE_TYPE = ($type == "img" ? $T_IMAGE : $T_FILE);
 $USAGE_OBJS = $item_id;
 $USAGE_PAGEUSAGE = false;
}

if ($item_cmd == "localize" && $FEATURE['multichannelling']) {
 $javaParser = & CodeParser :: getJavaParser();
 $msg = $javaParser->localizeObject(($type == "file") ? $T_FILE : $T_IMAGE, array_keys($item_id), $NODE_ID);

 if ($msg) {
 $msg = str_replace("\n", "\\n", str_replace('"', '\"', $msg));
 $JS .= ' alert( "' . $msg . '" ); ';
 }
}

if ($item_cmd == "channelsync" && $FEATURE['multichannelling'] && $FEATURE['channelsync']) {
 if (is_array($item_id) && count($item_id) > 0) {
 $REDO = 13505;
 $backdo = 15001;
 $obj_id = array_keys($item_id);
 $obj_type = ($type == "img" ? $T_IMAGE : $T_FILE);
 $channel_id = $NODE_ID;
 }
}

$f = $HI["text"];
$f["label"] = i18n('753.search_term');
$f["var"] = "search";
$f["regid"] = 5;
$f["optional"] = true;
$f["help"] = i18n('specify_the_terms_you');
$hi[] = $f;

$f = $HI["checkbox"];
$f["label"] = i18n('include_subfolders');
$f["var"] = "subfolder";
$f["value"] = 1;
$f["help"] = i18n('include_subfolders_in');
$hi[] = $f;

$f = $HI["text"];
$f["label"] = i18n('editor');
$f["var"] = "fs_editor";
$f["optional"] = true;
$f["help"] = "";
$f["regid"] = 8;
$f["size"] = 15;
$hi[] = $f;

$f = $HI["text"];
$f["label"] = i18n('edited_since');
$f["var"] = "fs_edate";
$f["optional"] = true;
$f["help"] = "";
$f["regid"] = 23;
$f["size"] = 15;
$hi[] = $f;

$f = $HI["text"];
$f["label"] = i18n('845.creator');
$f["var"] = "fs_creator";
$f["optional"] = true;
$f["help"] = "";
$f["regid"] = 8;
$f["size"] = 15;
$hi[] = $f;

$f = $HI["text"];
$f["label"] = i18n('created_since');
$f["var"] = "fs_cdate";
$f["optional"] = true;
$f["help"] = "";
$f["regid"] = 23;
$f["size"] = 15;
$hi[] = $f;

$f = $HI["sel"];
$f["label"] = i18n("filesearch.online.status");

if ($doimg) {
 $f["list"] = array("true" => i18n("image.online"), "false" => i18n("image.offline"));
} else {
 $f["list"] = array("true" => i18n("file.online"), "false" => i18n("file.offline"));
}

$f["var"] = "fs_online";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["hidden"];
$f["var"] = "a_search";
$hi[] = $f;

$f = $HI["ok"];
$f["label"] = i18n('391.search');
$hi[] = $f;

$f = new htmlform($hi);
if ($advanced) {
 $a_search = 1;
}

$lst->enablePaging = true;

if ($a_search) {
 $lst->nestedform = $f->formname;
}

$lst->showCoreInfo = true;


$full_path = false;
$searchsql = '';
$restSearch = false;

if ($f_subfolder && !$subfolder) {
 $subfolder = $f_subfolder;
}

if ($dosearch || $a_search || $faction == "ok") {
 
 $dosearch = 1;

 if ($subfolder) {
 $folders = array ();
 $folders[] = $FOLDER_ID;
 mini_walk($folders, $FOLDER_ID);
 }

 $restSearch = array ();

 
 if ($a_search && ($faction == "ok" || $f->issubmit) && !$f->err()) {
 $restSearch["search"] = $search;
 $b_search = sqlslashes($search);
 $searchsql = "AND ((LOWER(contentfile.name) LIKE '" . sqlf_escaped("%" . strtolower($b_search) . "%") . "' OR LOWER(contentfile.description) LIKE '" . sqlf_escaped("%" . strtolower($b_search) . "%") . "' OR contentfile.id = '" . sqlf_escaped($b_search) . "')";
 $a_fs_creator = sqlslashes($fs_creator);
 $a_fs_editor = sqlslashes($fs_editor);

 if ($fs_creator) {
 $restSearch["creator"] = $fs_creator;
 }

 if ($fs_editor) {
 $restSearch["editor"] = $fs_editor;
 }

 ereg("^([0-2]?[0-9]|3[0-1])([.:_ /-]([0]?[0-9]|1[0-2])([.:_ /-]([0-9]{1,2}|[0-9]{4})|())|())$", $fs_cdate, $cdate_reg);
 ereg("^([0-2]?[0-9]|3[0-1])([.:_ /-]([0]?[0-9]|1[0-2])([.:_ /-]([0-9]{1,2}|[0-9]{4})|())|())$", $fs_edate, $edate_reg);

 if ($cdate_reg[1] == "") {
 $cdate_reg[1] = date("m");
 }

 if ($cdate_reg[3] == "") {
 $cdate_reg[3] = date("d");
 }

 if ($cdate_reg[5] == "") {
 $cdate_reg[5] = date("Y");
 }

 if ($edate_reg[1] == "") {
 $edate_reg[1] = date("m");
 }

 if ($edate_reg[3] == "") {
 $edate_reg[3] = date("d");
 }

 if ($edate_reg[5] == "") {
 $edate_reg[5] = date("Y");
 }

 $a_cdate = mktime(0, 0, 0, $cdate_reg[3], $cdate_reg[1], $cdate_reg[5]);
 $a_edate = mktime(0, 0, 0, $edate_reg[3], $edate_reg[1], $edate_reg[5]);

 if ($fs_cdate) {
 $searchsql .= " AND contentfile.cdate > " . sqlf_tl_num($a_cdate);
 $restSearch["createdsince"] = $a_cdate;
 }

 if ($fs_edate) {
 $searchsql .= " AND contentfile.edate > " . sqlf_tl_num($a_edate);
 $restSearch["editedsince"] = $a_edate;
 }

 if ($fs_online === "true" || $fs_online === "false") {
 if ($fs_online === "true") {
 $searchsql .= " AND contentfile_online.node_id IS NOT NULL";
 } else {
 $searchsql .= " AND contentfile_online.node_id IS NULL";
 }
 $restSearch["online"] = $fs_online;
 }

 $searchsql .= " AND LOWER(" . sql_concat(array (
 "euser.lastname",
 "' '",
 "euser.firstname"
 )) . ") LIKE '" . sqlf_escaped("%" . strtolower($a_fs_editor) . "%") . "' AND LOWER(" . sql_concat(array (
 "cuser.lastname",
 "' '",
 "cuser.firstname"
 )) . ") LIKE '" . sqlf_escaped("%" . strtolower($a_fs_creator) . "%") . "' ";
 $searchsql .= ") ";
 }
 else {
 $restSearch["search"] = $search;
 $b_search = sqlslashes($search);
 $searchsql = "AND (
		LOWER(contentfile.name) LIKE '%$b_search%' OR 
		LOWER(contentfile.description) LIKE '%$b_search%' OR
		LOWER(contentfile.id) LIKE '%$b_search%')";
 }
} else if ($is_usageinfo_search) {
 $folders = false;
 $usageinfo_sql = get_usageinfo_sql($USAGE_TYPE, array_keys($USAGE_OBJS), $doimg ? $T_IMAGE : $T_FILE, true);
 $rs = query($usageinfo_sql); 
 $using_files = "";
 $first = true;

 foreach ($rs["arr"] as $row) {
 $fileperms = perm($USER_ID, $T_FOLDER, $row['folder_id']);

 if (!$fileperms[11]) {
 continue;
 }

 if ($first) {
 $first = false;
 } else {
 $using_files .= ",";
 }

 $using_files .= sqlf_tl_num($row["id"]);
 }

 if ($first) {
 
 $searchsql = " AND 1 = 2";
 } else {
 $searchsql = " AND contentfile.id in (" . $using_files . ")";
 }

 $filesql = "1 = 1";
 
 $subfolder = true;
 
 $full_path = true;
 
 $NODERELATED[$DO] = array ();
} else {
 $filesql = "contentfile.folder_id = $FOLDER_ID";
 $searchsql = "";
}


if ($doimg) {
 $filter = "image";
} else {
 $filter = "file";
}

$ires = item_order("name", "ASC", array (
 "contentfile.name" => "name",
 "contentfile.description" => "description",
 "contentfile.filetype" => "filetype",
 "folder.name" => "folder"
));

$file_list_perm_show = perm($USER_ID, $T_FOLDER, $FOLDER_ID, 11);

$usageInfo = null;
if ($is_usageinfo_search && is_array($USAGE_OBJS)) {
 $usageInfo = array(
 'type' => $USAGE_TYPE,
 'objects' => $USAGE_OBJS,
 );
}

$requestParameters = array(
 'recursive' => ($subfolder ? "true" : "false")
);

if (is_array($restSearch)) {
 $requestParameters = array_merge($requestParameters, $restSearch);
}


node_include("keymapper");
$keyMapper = new KeyMapper(array(
 "folderId" => "folder_id",
 "fileSize" => "filesize",
 "fileType" => "filetype",
 "editor.firstName" => "e_firstname",
 "editor.lastName" => "e_lastname",
 "creator.firstName"=> "c_firstname",
 "creator.lastName" => "c_lastname",
 "channelId" => "channel_id",
 "path" => "folder",
 "online" => "online"
));

$itemlist3 = $itemlist->getItemList3();
$page = 0;
$skipCount = 0;
$maxItems = -1;

if ($file_list_perm_show) {
 
 
 $skipCount = $itemlist3->getFirstDisplayedItemCount();
 $maxItems = $itemlist3->getMaxListItems();
}

$totalInFolder = 0;
$files = array();



while (empty($files)) {
 $files = getFilesOrImagesFromRestApi(
 $FOLDER_ID,
 $NODE_ID,
 ($filter === "image" ? T_IMAGE : T_FILE),
 $usageInfo,
 $keyMapper,
 $ires['field'],
 $ires['way'],
 $skipCount,
 $maxItems,
 $requestParameters,
 $totalInFolder
 );

 $numFilesFetched = count($files);

 if ($skipCount > 0 && $numFilesFetched === 0) {
 
 
 $skipCount = 0;
 $itemlist3->setCurrentPage(0);
 } else {
 break;
 }
}



if ($skipCount > $totalInFolder) {
 $skipCount = $totalInFolder;
}


if ($skipCount > 0) {
 $files = array_pad($files, -$numFilesFetched - $skipCount, null);
}

if ($totalInFolder > count($files)) {
 $files = array_pad($files, $totalInFolder, null);
}

if ($doimg && ($dogal || $FEATURE["thumbnails"])) {
 $imageResizer = new img_resize();

 if ($dogal) {
 $imageResizer->setProp("maxwidth", $GALLERY_IMG_WIDTH);
 $imageResizer->setProp("maxheight", $GALLERY_IMG_HEIGHT);
 } else {
 $imageResizer->setProp("maxwidth", $MAX_THUMBNAIL_WIDTH);
 $imageResizer->setProp("maxheight", $MAX_THUMBNAIL_HEIGHT);
 }
}

$file_list_perm_del = false;
$file_list_perm_edit = false;
$perm = perm($USER_ID, $T_FOLDER, $FOLDER_ID, 14, NULL, $T_FILE, 13);
$file_list_perm_del = $file_list_perm_edit = $perm;

switch ($type) {
 case "img" :
 $IMAGELIST_COUNT = $totalInFolder;
 break;
 case "file" :
 $FILELIST_COUNT = $totalInFolder;
 break;
}

if ($files) {
 while (list ($key, $val) = each($files)) {
 
 if ($maxItems !== -1 && ($key < $skipCount || $key >= ($skipCount + $maxItems))) {
 $o_img[] = $val;
 continue;
 }

 if ($subfolder || !$file_list_perm_show || !$file_list_perm_del || !$file_list_perm_edit) {
 if ($subfolder) {
 
 $fileperms = perm($USER_ID, $T_FOLDER, $val['folder_id']);
 $file_list_perm_show = $fileperms[11];
 }

 if (!$file_list_perm_show) {
 $p = perm_for_object_and_contentgroup($USER_ID, $T_FOLDER, $val['folder_id'], CT_FILE);
 if ($p[10]) {
 $file_list_perm_show = true;
 }

 if ($p[13]) {
 $file_list_perm_del = true;
 }
 }

 if (!$file_list_perm_show) {
 continue;
 }
 }

 $val["edate"] = db2date($val["edate"]);
 $val["cdate"] = db2date($val["cdate"]);

 if ($FEATURE["contentfile_data_to_db"]) {
 $sql = "SELECT id FROM contentfiledata WHERE contentfile_id=" . sqlf_tl_num($val["id"]);
 $rs = query($sql); 
 if (!$rs["arr"][0]["id"]) {
 continue;
 }
 }
 else {
 if (!file_exists("$FILEPATH/$MODULE/dbfiles/" . $val["id"] . ".bin")) {
 continue;
 }
 }

 if ($doimg && ($dogal || $FEATURE["thumbnails"])) {
 if ($FEATURE["contentfile_data_to_db"]) {
 $imageResizer->load_dbdata($val["id"]);
 }
 else {
 $imageResizer->load_file("$FILEPATH/$MODULE/dbfiles/" . $val["id"] . ".bin");
 }

 $val["width"] = $imageResizer->imgwidth;
 $val["height"] = $imageResizer->imgheight;
 $val["size"] = $imageResizer->imgwidth . "x" . $imageResizer->imgheight;
 $val["dpi"] = $imageResizer->imgdpix . 'x' . $imageResizer->imgdpiy;

 if ($FEATURE["multichannelling"] && $val["inherited"]) {
 $val["icon"] = "<div class=\"imglistthumb\" style=\"width: {$MAX_THUMBNAIL_WIDTH}px; " . "height: {$MAX_THUMBNAIL_HEIGHT}px; margin: 2px 5px;" . "background: url(" . $imageResizer->getImageSrc() . ") no-repeat center center; text-align: right" . "\"><img src=\"?do=11&module=content&img=channel-dart.gif\"></div>";
 }
 else {
 $val["icon"] = $imageResizer->getImageTag();
 }
 }
 else {
 if ($doimg) {
 $val["icon"] = img($ICO_IMG);
 if ($val["dpix"] || $val["dpiy"]) {
 $val["dpi"] = $val["dpix"] . "x" . $val["dpiy"];
 }
 }
 else {
 if ($val["inherited"]) {
 $val["icon"] = img($ICO_FILE_CHANNEL);
 }
 else {
 $val["icon"] = img($ICO_FILE);
 }
 }
 }

 $val["filetype"] = file_type($val["filetype"]);

 
 $val["filesize"] = ceil($val["filesize"] / 1024) . "&nbsp;" . i18n('kb');

 



 
 if (!$FEATURE["multichannelling"]) {
 $ftree = get_folder_tree($val["folder_id"]);
 $val["folder"] = get_folder_path($ftree, $full_path ? "0" : $FOLDER_ID);
 $val["atposidx"] = build_atposidx($ftree);
 }

 if ($val["online"]) {
 $val["online"] = $doimg ? i18n("image.online") : i18n("file.online");
 } else {
 $val["online"] = $doimg ? i18n("image.offline") : i18n("file.offline");
 }

 
 
 $val['name_rowass'] = $val['name'];

 
 
 
 
 
 if ($FEATURE["live_urls"]
 && !empty($val['liveUrl']) && $page['liveUrl'] != '#')
 {
 $val['name'] .=
 ' <a href="' . $val['liveUrl'] . '" target="_blank" style="padding-left: 4px; vertical-align: middle;"'
 . ' title="' . i18n('object_list.live_url.title_prefix') . ": \n" . $val['liveUrl'] . '">'
 . '<img src="' . $ICO_LIVEURL . '" style="border: 0px;">'
 . '</a>';
 }

 $o_img[] = $val;
 }
}

ass_search($DO, i18n('include_subfolders'), 1);
