<?php

mysession_var_reg( "portalid" );

function getDistincts( $column, $portalid, $userid = -1 )
{
 global $table, $PDB;

 if ( $userid > 0 )
 $creator = "AND creator_id = $userid";
 
 $sql = "SELECT DISTINCT $column " .
 " FROM " . $table["veranstaltung"] .
 " WHERE portalid = $portalid $creator ";
 $rs = query( $sql, $PDB );
 $ret = array();
 foreach ( $rs["arr"] as $val )
 {
 $ret[$val[$column]] = $val[$column];
 }
 
 return $ret;
}

function get_hr( $ele, $val )
{
 return "<HR>";
}

$isadmin = perm( $USER_ID, $T_TERMINE, $portalid.$T_TERMINE, 2 );
if ( !$isadmin )
{
 $userid = $USER_ID;
}
else
 $userid = -1;



$f = $HI["text"];
$f["label"] = i18n('theme'); 
$f["var"] = "thema";
$hi[] = $f;

$hi[] = createStringCreatorElement( "veranstalter", i18n('event_host'), 
 getDistincts("veranstalter", $portalid, $userid), $def_veranstalter );


$f = $HI["ta"];
$f["label"] = i18n('agenda'); 
$f["var"] = "agenda";
$f["cols"] = 30;
$f["rows"] = 10;
$hi[] = $f;

$hi[] = createStringCreatorElement( "referent", i18n('speaker'), 
 getDistincts("referent", $portalid, $userid), $def_referent );

$f = $HI["ta"];
$f["label"] = i18n('1304.contact'); 
$f["var"] = "kontakt";
$f["cols"] = 30;
$f["rows"] = 5;
$hi[] = $f;

$f = $HI["text"];
$f["label"] = i18n('registration_email'); 
$f["var"] = "mail";
$hi[] = $f;


$f = $HI["text"];
$f["label"] = i18n('address'); 
$f["var"] = "adresse";
$hi[] = $f;

$f = $HI["text"];
$f["label"] = i18n('1306.city'); 
$f["var"] = "ort";
$hi[] = $f;

$f = $HI["text"];
$f["label"] = i18n('1310.country'); 
$f["var"] = "land";
$hi[] = $f;

$hi[] = createStringCreatorElement( "langEvent", i18n('event_language'), 
 getDistincts("event_language", $portalid, $userid), $def_eventlang );

$f = $HI["dynamic"];
$f["label"] = "";
$f["ele"] = "get_hr";
$f["var"] = "hr1";
$hi[] = $f;


$hi[] = createStringCreatorElement( "langEntry", i18n('language_of_entry'), 
 getDistincts("entry_language", $portalid, $userid), $def_entrylang );


$f = $HI["text"];
$f["label"] = i18n('costs'); 
$f["var"] = "kosten";

$hi[] = $f;

$f = $HI["ta"];
$f["label"] = i18n('dress_code'); 
$f["var"] = "kleidung";
$f["cols"] = 30;
$f["rows"] = 4;
$hi[] = $f;

$f = $HI["date"];
$f["label"] = i18n('day_of_event'); 
$f["var"] = "begindate";
$hi[] = $f;

$f = $HI["time"];
$f["label"] = i18n('start_time_of_event'); 
$f["var"] = "begintime";
$hi[] = $f;


$f = $HI["date"];
$f["label"] = i18n('registration_deadline'); 
$f["var"] = "regEnd";
$hi[] = $f;

$f = $HI["int"];
$f["label"] = i18n('seats_available'); 
$f["var"] = "plaetze";
$hi[] = $f;


if ( $userid < 0 )
{
 $hi[] = createStringCreatorElement( "domain", i18n('pn_terminedatacell____celldata_sstypestringdo_no'), 
 getDistincts("domain", $portalid), $def_domain );
}
else
{
 $f = $HI["hidden"];
 $f["var"] = "domain";






}


$f = $HI["hidden"];
$f["var"] = "tid";
$hi[] = $f;

$f = $HI["ok"];
$hi[] = $f;

$f = $HI["reset"];
$hi[] = $f;


$form = new htmlform( $hi );

if ( !$form->err() && $faction == "ok" )
{
 $dbstrings = array( "thema", "agenda", "kontakt", "ort", "adresse",
 "land", "kosten", "kleidung", "mail", "domain" );

 foreach ( $dbstrings as $dbstr )
 {
 ${"db".$dbstr} = "'".sqlslashes($$dbstr)."'";
 }
 
 $dbreferent = "'".addslashes(${"f_referent_".$referent})."'";
 $dblangEvent = "'".addslashes(${"f_langEvent_".$langEvent})."'";
 $dblangEntry = "'".addslashes(${"f_langEntry_".$langEntry})."'";
 $dbveranstalter = "'".addslashes(${"f_veranstalter_".$veranstalter})."'";
 if ( $userid < 0 )
 $dbdomain = "'".addslashes(${"f_domain_".$domain})."'";
 else
 $dbdomain = "''";
 
 $dbbegin = merge_date_time( $begindate, $begintime );
 die ("inseritng: $dbbegin; time = ".time()."<br>");
 
 $inf = get_userinfo($USER_ID);
 $dbberaterid = "'".$inf["login"]."'";
 
 if ( !$tid )
 {
 
 $sql = "INSERT INTO " . $table["veranstaltung"] .
 " ( thema, agenda, referent, kontakt, ort, adresse, event_language, entry_language, ".
 "   land, kosten, kleidung, anmeldeschluss, plaetze, portalid, creator_id, last_modifier_id, ".
 "   email, domain, begin, veranstalter, beraterid ) " .
 " VALUES ( $dbthema, $dbagenda, $dbreferent, $dbkontakt, $dbort, $dbadresse, ".
 "		  $dblangEvent, $dblangEntry, $dbland, $dbkosten, $dbkleidung, $regEnd, ".
 "	      $plaetze, $portalid, $userid, $USER_ID, $dbmail, $dbdomain, $dbbegin, ".
 "		  $dbveranstalter, $dbberaterid )";
 $rs = query( $sql, $PDB );
 
 logcmd($W_CREATE, $T_TERMINE, $rs["iid"], 0, "termin_edit.php");
 }
 else
 {
 $sql = "UPDATE " . $table["veranstaltung"] .
 " SET thema=$dbthema, agenda=$dbagenda, referent=$dbreferent, kontakt=$dbkontakt, ".
 "     ort = $dbort, adresse=$dbadresse, event_language=$dblangEvent, entry_language=$dblangEntry, ".
 "	 land=$dbland, kosten=$dbkosten, kleidung=$dbkleidung, anmeldeschluss=$regEnd, ".
 "	 plaetze=$plaetze, last_modifier_id=$USER_ID, email=$dbmail, domain=$dbdomain, ".
 "	 veranstalter=$dbveranstalter, begin=$dbbegin " .
 " WHERE id = $tid ";
 $rs = query( $sql, $PDB );
 
 logcmd($W_EDIT, $T_TERMINE, $tid, 0, "termin_edit.php");
 }
 $REDO = 71700;
} 
else if ( $tid )
{
 $sql = "SELECT * " .
 " FROM " . $table["veranstaltung"] .
 " WHERE id = $tid";
 $rs = query( $sql, $PDB );
 
 if ( $rs["num"] > 0 )
 {
 $data = $rs["arr"][0];
 
 $thema = $data["thema"];
 $agenda = $data["agenda"];
 $def_referent = $data["referent"];
 $kontakt = $data["kontakt"];
 $ort = $data["ort"];
 $adresse = $data["adresse"];
 $def_eventlang = $data["event_language"];
 $def_entrylang = $data["entry_language"];
 $land = $data["land"];
 $kosten = $data["kosten"];
 $kleidung = $data["kleidung"];
 $regEnd = $data["anmeldeschluss"];
 $plaetze = $data["plaetze"];
 $mail = $data["email"];
 $def_domain = $data["domain"];
 $def_veranstalter = $data["veranstalter"];
 $begindate = $data["begin"];
 $begintime = $data["begin"];
 
 }
}
else
{
 $def_referent = false;
 $def_entrylang = false;
 $def_eventlang = false;
 $def_veranstalter = false;
 $def_domain = false;
 $begindate = time();
 $begintime = $begindate;
 $regEnd = $begindate;
}

load_menu(71799, $T_TERMINE, 0, "", 0, array( "isadmin" => $isadmin ) );

?>
