<?php

GUIFactory::setMainGUI( "main" );


$gdo = new GenericDo( );
$gdo->setUserVars( array( "o_prop" ) );
$object = &NodeFactory::getInstanceOf( $gdo->getTType(), $gdo->getID() );
$names = $object->getPropertyNames();
$gdo->setTitle( i18n( "View {0}", 0, $names[$o_prop] ) );

$o_list = $object->getProperty( $o_prop );
if ( !is_a( $o_list, "nodeobjectcollection" ) ) {
 halt( 101, "generic_list: property($o_prop) of type(".$gdo->getTType().")+id(".$gdo->getID().") ".
 "is not a nodeobjectcollection!" );
}


$o_form =& $o_list->getFormObject();
$headers = $o_form->getListHeaders();
$properties = array_keys( $headers );
$properties[] = "id";

unset( $headers["name"] );
$headers = array_merge( array("lname"=>i18n( "Name" ) ), $headers ) ;
$ds = new NodeCollectionDatasource( $o_list, $headers );

$ds->setProperties( $properties );
$ds->makeLink( "lname", "name", "do=998&o_type=".$o_list->getCollectedTType().
 "&o_menu=".$gdo->getMenuDo(), "list", "o_id", "id" );

$list = new ItemList3( "gl".$gdo->getTType(), $ds );

?>
