<?php
GUIFactory::setMainGUI( "main" );

$NODERELATED[$DO] = getTaskRelated($DO);

mysession_var_reg("TASKJOB_ID");
if ($id) $TASKJOB_ID = $id;
else $id = $TASKJOB_ID;

if ( !$id ) halt( 7, "Invalid Task-Schedule id ($id)" );
node_class( "dateformatter" );
load_menu( 872, $T_JOB, $id, i18n( "Execution Details" ) );

node_include("task_formatter");

$select = "id, starttime, endtime, returnvalue, output";
$from = "jobrun";
$where = "job_id = ".sqlf_tl_num($id)." AND valid=1";
$ds = new SQLDatasource( "jobrunds", $select, $from, $where );
$ds->setDBHandle( $DB );
$ds->addColumn( "fstarttime", i18n( "Start" ), true, false, "starttime" );
$ds->addColumn( "fendtime", i18n( "End" ), true, false, "endtime" );
$ds->addColumn( "duration", i18n( "Duration" ), false, false, "endtime-starttime" );
$ds->addColumn( "returnvalue", i18n("Status"), true, false, true);
$ds->addFormatter( "duration", new RunDiffFormatter() );
$ds->addFormatter( "fstarttime", new DateFormatter("starttime") );
$ds->addFormatter( "fendtime", new DateFormatter("endtime") );
$ds->addFormatter( "returnvalue", new SystemReturnCodeFormatter() );
$ds->setDefaultSort( "fstarttime", "DESC" );
$list = new ItemList3( "duration", $ds );
$list->setLinkAppendix( "id=$id" );
?>
